/*
 *  RegExp.H - Generic regular expression C++ class (definition)
 *  Copyright (C) 1995 Christian Wolf
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 *  You can reach me, the author of cwftp as <chris@MedIS.DE>
 *
 * $Id: RegExp.H,v 1.2 1996/01/30 09:26:04 chris Exp $
 *
 * $Log: RegExp.H,v $
 * Revision 1.2  1996/01/30  09:26:04  chris
 * *** empty log message ***
 *
 * Revision 1.1  1995/05/08  11:47:52  chris
 * Initial revision
 *
 *
 */

#ifndef REGEXP_H
#define REGEXP_H

#include <stdlib.h>
#ifdef HAVE_REGEX
#include <sys/types.h>
#include <regex.h>
#endif

#define MAX_REG 4096

class tRegularExpression
{
private:
	char *ExpPattern;
	char ExpBuffer[ MAX_REG ];
	int  ExpError;
#ifdef HAVE_REGEX
	regex_t ExpPre;
#endif

public:
	tRegularExpression( char *aRegExpStr=NULL );
	~tRegularExpression();
	int SetNewExpression( char *aRegExpStr );
	int Match( char *aTextStr );
	int Error() { return ExpError; }
	char *Pattern() { return ExpPattern; }
};

#endif /* REGEXP_H */
