/*
 *  Split.C - Split up a string into tokens (implementation)
 *  Copyright (C) 1995 Christian Wolf
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 *  You can reach me, the author of cwftp as <chris@MedIS.DE>
 *
 * $Id: Split.C,v 1.2 1996/05/13 16:44:16 chris Exp $
 *
 * $Log: Split.C,v $
 * Revision 1.2  1996/05/13 16:44:16  chris
 * *** empty log message ***
 *
 * Revision 1.1  1995/05/08 11:47:52  chris
 * Initial revision
 *
 *
 */

#include "Split.H"
#include <string.h>

int SplitString( char *aString, char **aList, char *aDelim )
{
	int Anzahl = 0;

	if( aDelim == NULL ) aDelim = " \t\r\n";

	while( aString != NULL && *aString != '\0' )
	{
		while( strchr( aDelim, *aString ) != NULL ) aString++;

		aList[ Anzahl++ ] = aString;

		if( ( aString = strpbrk( aString, aDelim ) ) != NULL )
		{
			*aString++ = '\0';
		}
	}

	aList[ Anzahl ] = NULL;

	return Anzahl;
}
